import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { DeregisterOnPremisesInstanceInput } from "../models/models_0";
export { __MetadataBearer };
export interface DeregisterOnPremisesInstanceCommandInput
  extends DeregisterOnPremisesInstanceInput {}
export interface DeregisterOnPremisesInstanceCommandOutput
  extends __MetadataBearer {}
declare const DeregisterOnPremisesInstanceCommand_base: {
  new (
    input: DeregisterOnPremisesInstanceCommandInput
  ): import("@smithy/core/client").CommandImpl<
    DeregisterOnPremisesInstanceCommandInput,
    DeregisterOnPremisesInstanceCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: DeregisterOnPremisesInstanceCommandInput
  ): import("@smithy/core/client").CommandImpl<
    DeregisterOnPremisesInstanceCommandInput,
    DeregisterOnPremisesInstanceCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class DeregisterOnPremisesInstanceCommand extends DeregisterOnPremisesInstanceCommand_base {
  protected static __types: {
    api: {
      input: DeregisterOnPremisesInstanceInput;
      output: {};
    };
    sdk: {
      input: DeregisterOnPremisesInstanceCommandInput;
      output: DeregisterOnPremisesInstanceCommandOutput;
    };
  };
}
